//
// Created by philipp on 22.03.18.
//

#ifndef PC_LOGGING_H
#define PC_LOGGING_H

#include <boost/asio.hpp>

namespace pc
{

class Logging
{
public:
    explicit Logging(std::uint16_t port)
        : port(port)
    {}

    void start();
    void stop();

private:
    std::uint16_t port;
    std::atomic<bool> running{false};
    boost::asio::io_service ioService;
};

}

#endif //PC_LOGGING_H
